List Payments
curl --request GET \
--url https://api.embedads.com/advertisers/{advertiserID}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.embedads.com/advertisers/{advertiserID}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"advertiser_id": 123,
"id": 456,
"created_at": "2020-01-01T00:00:00Z",
"type": "PAYMENT",
"amount": 100,
"amount_tax": 10,
"receipt_url": "https://example.com/receipt"
}
]
{
"error": "Page size must be between 1 and 20"
}
{
"error": "Internal Server Error"
}
Advertiser Billing
List Payments
Ad spend payments that you recorded for the Advertiser. These are visible on the Advertiser’s Billing page in the admin portal.
GET
/
advertisers
/
{advertiserID}
/
transactions
List Payments
Path Parameters
The ID of the advertiser.
Query Parameters
The maximum number of advertisers to return. Must be between 1 and 20.
The page number of the results.
Response
The ID of the advertiser.
The ID of the transaction.
A timestamp of when the transaction was created.
The type of transaction.
The amount of the transaction.
The amount of tax for the transaction.
The URL of the receipt for the transaction.
[
{
"advertiser_id": 123,
"id": 456,
"created_at": "2020-01-01T00:00:00Z",
"type": "PAYMENT",
"amount": 100,
"amount_tax": 10,
"receipt_url": "https://example.com/receipt"
}
]
{
"error": "Page size must be between 1 and 20"
}
{
"error": "Internal Server Error"
}
⌘I